# basic_ostream< _CharT, _Traits >::sentry Class Template Reference

List of all members.

## Detailed Description

### template<typename _CharT, typename _Traits>
template<typename _CharT, typename _Traits>
class std::basic_ostream< _CharT, _Traits >::sentry< _CharT, _Traits >

Objects of this class are created before all of the standard inserters are run. It is responsible for "exception-safe prefix and suffix operations." Additional actions may be added by the implementation, and we list them in http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/howto.html#5 under [27.6] notes.

Definition at line 374 of file ostream.

The documentation for this class was generated from the following file:

- ostream